What are all the warnings when installing mm2



  • Hi,
    I have just updated my mirror as my mirror was running Jessie and I wanted to make sure I was on the latest os
    So a fresh memory card, with latest stretch image updated and ready to, I use the auto installation method mentioned on github and during the installation there are alot of warnings about packages. I couldn’t catch what any of them was as it was going quite quick.
    I believe it was vulnerabilities do to out of date npm packages.
    After it had finished it all works but my question is should I ignore these warnings and is this normal, or should there be something else I’m doing after installing mm2
    Thanks
    Rob


  • Module Developer

    A lot of packages give you a warning, mostly about something being deprecated. The used packages and their versions are written in the package.json, sometimes developers have a reason to use a specific version and sometimes there are newer versions available. In that case, npm could warn about the package being deprecated.

    I’ve seen in some projects, that updating a package might need updating the context the package is used in, soe usually it’s best to leave this alone, unless you want to open a can of errors.

    Another developer once told me “As long as it’s only a warning, ignore it. If npm really wants something from you, it’ll stop and tell you.”

    (node.js is the runtime environment, packages are helpers (special functions that make developing easier because you use that shortcut instead of programming something yourself that someone else already provided), npm is the node package manager, package.json is where the dependencies of these packages are declared so npm knows which packages and versions to install)



  • Thanks you for responding so quickly.
    And also thanks for clearing all that up for me, it makes more sense now lol.
    As it is working I shall just leave it as it then, I just wanted to double check if I should of been doing anything about these warnings.
    Rob


  • Module Developer

    See them more like warnings to the developers. 😉 As long as it starts and runs, it runs.